function VisuDistrib_1D(p,x1,N,gamma)
    MH=MetroHast(x1,N,p,gamma); 
    fig1=figure; 
    set(fig1, 'Position', [0, 0, 800, 200]);
    subplot 131 % Distribution p 
    x=linspace(-3,3); 
    c=integral(p,-10,10);
    xcme=integral(@(x) x.*p(x),-10,10); 
    M=max(p(x)/c)+0.1; 
    plot(x,p(x)/c,'r','Linewidth',3)
    axis([min(-3,-abs(x1)),max(3,abs(x1)),0,M])
    xline(0,'r:','Linewidth',2)
    title({'p',['x_{cm} = ' num2str(xcme,'%.2f')]})
    subplot 132 % Distribution empirique x_j
    xcm=sum(MH)/N; 
    histogram(MH,21,'FaceColor', 'b', 'Normalization', 'pdf'); 
    xline(xcm,'k-.','Linewidth',3)
    axis([min(-3,-abs(x1)),max(3,abs(x1)),0,M])
    title({'distribution des x_j ',['x_{cm} = ' num2str(xcm,'%.2f')]})
    subplot 133 % Comparaison 
    plot(x,p(x)/c,'r','Linewidth',3)
    hold on 
    histogram(MH,21,'FaceColor', 'b', 'Normalization', 'pdf'); 
    xline(0,'r:','Linewidth',3)
    xline(xcm,'k-.','Linewidth',3)
    axis([min(-3,-abs(x1)),max(3,abs(x1)),0,M])
    title('p, distribution des x_j')
end

